/*
 * Copyright The Asahi Linux Contributors
 * SPDX-License-Identifier: MIT
 *
 * Autogenerated file, do not edit
 */
#include "compiler/nir/nir_builder.h"

static inline nir_def *
libagx_vertex_id_for_topology(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4, nir_def *arg5)
{
   assert(arg1->bit_size == 32);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 1);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 32);
   assert(arg4->num_components == 1);

   assert(arg5->bit_size == 32);
   assert(arg5->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_vertex_id_for_topology");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_vertex_id_for_topology");
      func->num_params = 6;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 32;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 1;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 32;
      func->params[4].num_components = 1;

      func->params[5].bit_size = 32;
      func->params[5].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(0, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3, arg4, arg5);

   return nir_load_deref(b, deref);
}

static inline nir_def *
libagx_setup_xfb_buffer(nir_builder *b, nir_def *arg1, nir_def *arg2)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_setup_xfb_buffer");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_setup_xfb_buffer");
      func->num_params = 3;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(0, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2);

   return nir_load_deref(b, deref);
}

static inline void
libagx_end_primitive(nir_builder *b, nir_def *arg0, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4, nir_def *arg5)
{
   assert(arg0->bit_size == 64);
   assert(arg0->num_components == 1);

   assert(arg1->bit_size == 32);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 32);
   assert(arg4->num_components == 1);

   assert(arg5->bit_size == 32);
   assert(arg5->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_end_primitive");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_end_primitive");
      func->num_params = 6;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 32;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 32;
      func->params[4].num_components = 1;

      func->params[5].bit_size = 32;
      func->params[5].num_components = 1;
   }

   nir_call(b, func, arg0, arg1, arg2, arg3, arg4, arg5);
}

static inline void
libagx_build_gs_draw(nir_builder *b, nir_def *arg0, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4)
{
   assert(arg0->bit_size == 64);
   assert(arg0->num_components == 1);

   assert(arg1->bit_size == 1);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 32);
   assert(arg4->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_build_gs_draw");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_build_gs_draw");
      func->num_params = 5;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 1;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 32;
      func->params[4].num_components = 1;
   }

   nir_call(b, func, arg0, arg1, arg2, arg3, arg4);
}

static inline void
libagx_gs_setup_indirect(nir_builder *b, nir_def *arg0, nir_def *arg1)
{
   assert(arg0->bit_size == 64);
   assert(arg0->num_components == 1);

   assert(arg1->bit_size == 32);
   assert(arg1->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_gs_setup_indirect");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_gs_setup_indirect");
      func->num_params = 2;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 32;
      func->params[1].num_components = 1;
   }

   nir_call(b, func, arg0, arg1);
}

static inline void
libagx_prefix_sum(nir_builder *b, nir_def *arg0, nir_def *arg1, nir_def *arg2, nir_def *arg3)
{
   assert(arg0->bit_size == 64);
   assert(arg0->num_components == 1);

   assert(arg1->bit_size == 32);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 2);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_prefix_sum");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_prefix_sum");
      func->num_params = 4;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 32;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 2;
   }

   nir_call(b, func, arg0, arg1, arg2, arg3);
}

static inline nir_def *
libagx_txs(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4, nir_def *arg5, nir_def *arg6, nir_def *arg7, nir_def *arg8)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 16);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 1);
   assert(arg4->num_components == 1);

   assert(arg5->bit_size == 1);
   assert(arg5->num_components == 1);

   assert(arg6->bit_size == 1);
   assert(arg6->num_components == 1);

   assert(arg7->bit_size == 1);
   assert(arg7->num_components == 1);

   assert(arg8->bit_size == 1);
   assert(arg8->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_txs");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_txs");
      func->num_params = 9;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 16;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 1;
      func->params[4].num_components = 1;

      func->params[5].bit_size = 1;
      func->params[5].num_components = 1;

      func->params[6].bit_size = 1;
      func->params[6].num_components = 1;

      func->params[7].bit_size = 1;
      func->params[7].num_components = 1;

      func->params[8].bit_size = 1;
      func->params[8].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(0, 4);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8);

   return nir_trim_vector(b, nir_load_deref(b, deref), 3);
}

static inline nir_def *
libagx_image_texel_address(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4, nir_def *arg5, nir_def *arg6, nir_def *arg7)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 4);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 32);
   assert(arg4->num_components == 1);

   assert(arg5->bit_size == 1);
   assert(arg5->num_components == 1);

   assert(arg6->bit_size == 1);
   assert(arg6->num_components == 1);

   assert(arg7->bit_size == 1);
   assert(arg7->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_image_texel_address");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_image_texel_address");
      func->num_params = 8;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 4;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 32;
      func->params[4].num_components = 1;

      func->params[5].bit_size = 1;
      func->params[5].num_components = 1;

      func->params[6].bit_size = 1;
      func->params[6].num_components = 1;

      func->params[7].bit_size = 1;
      func->params[7].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(9, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3, arg4, arg5, arg6, arg7);

   return nir_load_deref(b, deref);
}

static inline nir_def *
libagx_buffer_texel_address(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 4);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_buffer_texel_address");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_buffer_texel_address");
      func->num_params = 4;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 4;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(9, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3);

   return nir_load_deref(b, deref);
}

static inline nir_def *
libagx_texture_is_rgb32(nir_builder *b, nir_def *arg1)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_texture_is_rgb32");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_texture_is_rgb32");
      func->num_params = 2;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(11, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1);

   return nir_load_deref(b, deref);
}

static inline nir_def *
libagx_texture_load_rgb32(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 1);
   assert(arg3->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_texture_load_rgb32");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_texture_load_rgb32");
      func->num_params = 4;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 1;
      func->params[3].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(0, 4);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3);

   return nir_load_deref(b, deref);
}

#include <stdint.h>
static const uint32_t libagx_shaders_nir[] = {
    0x000002fb, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0xccb60200, 0xf88339be,
    0xa12b5618, 0xc5ea7300, 0x3d3a455d, 0x00000e2b,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00200000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000040, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00001be8, 0x0000000b,
    0x0000002c, 0x6162696c, 0x765f7867, 0x65747265,
    0x64695f78, 0x726f665f, 0x706f745f, 0x676f6c6f,
    0x00000079, 0x00000006, 0x00004001, 0x00002001,
    0x00000101, 0x00002001, 0x00002001, 0x00002001,
    0x0000002c, 0x6162696c, 0x735f7867, 0x70757465,
    0x6266785f, 0x6675625f, 0x00726566, 0x00000003,
    0x00004001, 0x00004001, 0x00002001, 0x0000002c,
    0x6162696c, 0x655f7867, 0x705f646e, 0x696d6972,
    0x65766974, 0x00000000, 0x00000006, 0x00004001,
    0x00002001, 0x00002001, 0x00002001, 0x00002001,
    0x00002001, 0x0000002c, 0x6162696c, 0x625f7867,
    0x646c6975, 0x5f73675f, 0x77617264, 0x00000000,
    0x00000005, 0x00004001, 0x00000101, 0x00002001,
    0x00002001, 0x00002001, 0x0000002c, 0x6162696c,
    0x675f7867, 0x65735f73, 0x5f707574, 0x69646e69,
    0x74636572, 0x00000000, 0x00000002, 0x00004001,
    0x00002001, 0x0000002c, 0x6162696c, 0x705f7867,
    0x69666572, 0x75735f78, 0x0000006d, 0x00000004,
    0x00004001, 0x00002001, 0x00002001, 0x00002002,
    0x0000002c, 0x6162696c, 0x745f7867, 0x00007378,
    0x00000009, 0x00004001, 0x00004001, 0x00001001,
    0x00002001, 0x00000101, 0x00000101, 0x00000101,
    0x00000101, 0x00000101, 0x0000002c, 0x6162696c,
    0x695f7867, 0x6567616d, 0x7865745f, 0x615f6c65,
    0x65726464, 0x00007373, 0x00000008, 0x00004001,
    0x00004001, 0x00002004, 0x00002001, 0x00002001,
    0x00000101, 0x00000101, 0x00000101, 0x0000002c,
    0x6162696c, 0x625f7867, 0x65666675, 0x65745f72,
    0x5f6c6578, 0x72646461, 0x00737365, 0x00000004,
    0x00004001, 0x00004001, 0x00002004, 0x00002001,
    0x0000002c, 0x6162696c, 0x745f7867, 0x75747865,
    0x695f6572, 0x67725f73, 0x00323362, 0x00000002,
    0x00004001, 0x00004001, 0x0000002c, 0x6162696c,
    0x745f7867, 0x75747865, 0x6c5f6572, 0x5f64616f,
    0x33626772, 0x00000032, 0x00000004, 0x00004001,
    0x00004001, 0x00002001, 0x00000101, 0x00000001,
    0x00000001, 0x00001001, 0x001000d3, 0x00000240,
    0x7366666f, 0x00737465, 0x00000003, 0x00000000,
    0x00000013, 0x00000e05, 0xe2011394, 0x92021394,
    0xe2031394, 0xe2041394, 0xe2051394, 0x9230f000,
    0x000d000e, 0x00003605, 0x9230f000, 0x0014000e,
    0x92374000, 0x000e0014, 0x00009605, 0x9230f000,
    0x0017000e, 0x92334000, 0x00180016, 0x00015605,
    0x9230f000, 0x001a000e, 0x92334000, 0x001b0019,
    0x00019605, 0x9230f000, 0x001d000e, 0x92334000,
    0x001e001c, 0x00000001, 0x0000007c, 0x00000000,
    0x00000001, 0x00000000, 0x0000001f, 0x00005605,
    0x9230f000, 0x0021000e, 0x92334000, 0x00220015,
    0x00007605, 0x9230f000, 0x0024000e, 0x92334000,
    0x00250023, 0x0000b605, 0x9230f000, 0x0027000e,
    0x92334000, 0x00280018, 0x0000d605, 0x9230f000,
    0x002a000e, 0x92334000, 0x002b0029, 0x00017605,
    0x9230f000, 0x002d000e, 0x92334000, 0x002e001b,
    0x0001b605, 0x9230f000, 0x0030000e, 0x92334000,
    0x0031001e, 0x0000f605, 0x9230f000, 0x0033000e,
    0x00011605, 0x9230f000, 0x0035000e, 0x92334000,
    0x00360034, 0xe2e71000, 0x00170037, 0x00320024,
    0x0038002a, 0x0017002f, 0x002c0039, 0x003a0024,
    0xe2671000, 0x00210026, 0x0013003b, 0x003c0014,
    0xe2325000, 0x003d0010, 0xe2308000, 0x0011003e,
    0x00000003, 0x00000000, 0x00000002, 0x00005605,
    0x9230f000, 0x0041000e, 0x00000001, 0x00000108,
    0x00000000, 0x00000001, 0x00000000, 0x00000007,
    0xfffff605, 0xe2308000, 0x00440012, 0x9270f000,
    0x00450010, 0x00140011, 0x9230b000, 0x00470046,
    0xe2308000, 0x00110010, 0xe2271000, 0x000d0048,
    0x00000049, 0x00000003, 0x00000000, 0x00000002,
    0x0000b605, 0x9230f000, 0x004c000e, 0x00000001,
    0x00000134, 0x00000000, 0x00000001, 0x00000000,
    0x0000000b, 0xe2271000, 0x000d000f, 0x00000041,
    0xe230b000, 0x00140010, 0x9270f000, 0x000d0050,
    0x004f0011, 0x92334000, 0x00520051, 0x00007605,
    0xe2271000, 0x0054000f, 0x00000014, 0xe232f000,
    0x00000011, 0xe2308000, 0x00560055, 0xe2271000,
    0x00110053, 0x00000057, 0xe2308000, 0x00580010,
    0x00000003, 0x00000000, 0x00000002, 0x0000d605,
    0x9230f000, 0x005b000e, 0x00000001, 0x00000170,
    0x00000000, 0x00000001, 0x00000000, 0x00000003,
    0x9230f000, 0x000d0011, 0xe2308000, 0x00110010,
    0xe2271000, 0x000d005e, 0x0000005f, 0x00000003,
    0x00000000, 0x0000000e, 0x0001b605, 0x9230f000,
    0x0062000e, 0xfffff605, 0xe2308000, 0x00640012,
    0x9270f000, 0x00650010, 0x000d0010, 0xe230b000,
    0x00140010, 0x9230f000, 0x000d0068, 0xe2381000,
    0x00100068, 0x9230f000, 0x000d006a, 0x92334000,
    0x000f006b, 0xe2308000, 0x00170011, 0xe2383000,
    0x005b006d, 0xe2271000, 0x0011006c, 0x0000006e,
    0x00000001, 0x0000018c, 0x00000000, 0x00000001,
    0x00000000, 0x00000020, 0xf2000b01, 0x00000f05,
    0xf2c00011, 0x00720071, 0x00012224, 0x000001cc,
    0x00000034, 0x00003705, 0xffffd605, 0x00007605,
    0xe2671000, 0x00750069, 0x00670076, 0x00770014,
    0xf2800011, 0x00740071, 0x00012224, 0x000001e4,
    0x000001e0, 0x00005705, 0xf2800011, 0x007a0071,
    0xe2271000, 0x0041006b, 0x00000017, 0x00012224,
    0x000001ec, 0x000001f0, 0x00007705, 0xf2800011,
    0x007d0071, 0xe2271000, 0x004c0066, 0x0000005b,
    0x00012224, 0x000001f8, 0x000001fc, 0x00009705,
    0xf2800011, 0x00800071, 0xe2271000, 0x0017006b,
    0x00000041, 0x00012224, 0x00000204, 0x00000208,
    0x0000b705, 0xf2800011, 0x00830071, 0xe2271000,
    0x0076006b, 0x00000075, 0x00012224, 0x00000210,
    0x00000214, 0xe2337000, 0x00140010, 0xf2364000,
    0x0000006f, 0xf2c00011, 0x00870071, 0xe2000eb4,
    0x00000220, 0xe2308000, 0x00890086, 0x00000001,
    0x00000000, 0x00000000, 0x00000000, 0x00000001,
    0xe2000028, 0x0000008a, 0x00000070, 0x0000000d,
    0x0000008b, 0x00000000, 0x00000001, 0xe2000028,
    0x00000060, 0x0000005d, 0x0000008d, 0x0000008c,
    0x00000000, 0x00000001, 0xe2000028, 0x00000059,
    0x0000004e, 0x0000008f, 0x0000008e, 0x00000000,
    0x00000001, 0xe2000028, 0x0000004a, 0x00000043,
    0x00000091, 0x00000090, 0x00000000, 0x00000004,
    0xe2000028, 0x0000003f, 0x00000020, 0x00000093,
    0x00000092, 0xf2001394, 0xf2001251, 0x00000258,
    0x00000004, 0x00000000, 0x00000000, 0x00000240,
    0x00012224, 0x0000025c, 0x00000254, 0x00000001,
    0x00000000, 0x00000003, 0x00000000, 0x0000000d,
    0xf2011394, 0xe2021394, 0xf2001851, 0x00000264,
    0x00000110, 0x00000000, 0x00000000, 0x40001211,
    0x75727473, 0x612e7463, 0x675f7867, 0x656d6f65,
    0x5f797274, 0x61726170, 0x0000736d, 0x00000249,
    0x6c656966, 0x00003064, 0xffffffff, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000249, 0x6c656966, 0x00003164,
    0xffffffff, 0x00000000, 0x00000008, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000249,
    0x6c656966, 0x00003264, 0xffffffff, 0x00000000,
    0x00000010, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00200093, 0x00000249, 0x6c656966,
    0x00003364, 0xffffffff, 0x00000000, 0x00000018,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00200093, 0x00000249, 0x6c656966, 0x00003464,
    0xffffffff, 0x00000000, 0x00000038, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00200093,
    0x00000249, 0x6c656966, 0x00003564, 0xffffffff,
    0x00000000, 0x00000058, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00003664, 0xffffffff, 0x00000000, 0x00000078,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00003764, 0xffffffff,
    0x00000000, 0x00000080, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00200093, 0x00000249,
    0x6c656966, 0x00003864, 0xffffffff, 0x00000000,
    0x00000088, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00100093, 0x00000240, 0x6c656966,
    0x00003964, 0xffffffff, 0x00000000, 0x000000a8,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00200093, 0x00000249, 0x6c656966, 0x00303164,
    0xffffffff, 0x00000000, 0x000000b8, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00100093,
    0x00000240, 0x6c656966, 0x00313164, 0xffffffff,
    0x00000000, 0x000000d8, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00323164, 0xffffffff, 0x00000000, 0x000000e8,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00333164, 0xffffffff,
    0x00000000, 0x000000f0, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00100073, 0x00000240,
    0x6c656966, 0x00343164, 0xffffffff, 0x00000000,
    0x000000f8, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00353164,
    0xffffffff, 0x00000000, 0x00000104, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00363164, 0xffffffff, 0x00000000,
    0x00000108, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00373164,
    0xffffffff, 0x00000000, 0x0000010c, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0xf2000041,
    0x0000026c, 0x00000005, 0xf2364000, 0x0000009a,
    0xf2c00011, 0x009d009c, 0xf2001851, 0x00000278,
    0x00000008, 0x00000008, 0x00000000, 0x00000249,
    0xf2000eb4, 0x0000027c, 0xe2390000, 0x000000a0,
    0xe2391000, 0x000000a0, 0xe2334000, 0x00a200a1,
    0x00000e05, 0x9232b000, 0x00a400a3, 0x00000001,
    0x00000294, 0x00000000, 0x00000001, 0x00000000,
    0x0000000d, 0xf2001851, 0x00000280, 0x00000004,
    0x00000004, 0x00000000, 0x00000240, 0xe2000eb4,
    0x0000029c, 0xf2000041, 0x0000026c, 0x00000008,
    0xf2c00011, 0x009d00a9, 0xf2001851, 0x000002a8,
    0x00000008, 0x00000008, 0x00000000, 0x00000249,
    0xf2000eb4, 0x000002ac, 0xf2364000, 0x000000a8,
    0xf2001851, 0x000002b0, 0x00000001, 0x00000000,
    0x00000000, 0x00000245, 0xf2800031, 0x00ad00ae,
    0xf2000041, 0x0000026c, 0x0000000a, 0xf2c00011,
    0x009d00b0, 0xf2001851, 0x000002c4, 0x00000008,
    0x00000008, 0x00000000, 0x00000249, 0x00012224,
    0x000002c8, 0x000002bc, 0x00000001, 0x00000000,
    0x00000000, 0x00000000, 0x00000004, 0xe2000028,
    0x000000a4, 0x000000b3, 0x000000a8, 0x000000a6,
    0xf2001394, 0xf2001251, 0x000002d8, 0x00000004,
    0x00000000, 0x00000000, 0x00000240, 0x00012224,
    0x000002dc, 0x000002d4, 0x00000001, 0x00000000,
    0x00000003, 0x00000000, 0x00000011, 0xf2001394,
    0xe2011394, 0xe2021394, 0xe2031394, 0xe2041394,
    0xe2051394, 0xe232f000, 0x000000bb, 0xe2708000,
    0x00bf00ba, 0x00c000bd, 0x00003605, 0xfffff605,
    0xe2b08000, 0x00c300bc, 0x00c400be, 0x00c500c1,
    0xf2364000, 0x000000c6, 0xf20018d1, 0x000002e4,
    0x00000004, 0x00000000, 0x00000000, 0x00000e05,
    0x00000002, 0x00000100, 0x00000003, 0x00000000,
    0x00000002, 0xe2000028, 0x000000c9, 0x000000b8,
    0x000000d5, 0x000000cf, 0x92374000, 0x00bb00cb,
    0x00000001, 0x00000330, 0x00000000, 0x00000001,
    0x00000000, 0x00000001, 0x00000026, 0x00000001,
    0x00000000, 0x00000000, 0x00000000, 0x00000007,
    0xe2308000, 0x00cb00c1, 0xf2364000, 0x000000cb,
    0xf2308000, 0x00d100c7, 0xf2800031, 0x00d200c8,
    0xf20018d1, 0x0000034c, 0x00000004, 0x00000004,
    0x00000000, 0x00012224, 0x00000350, 0x00000340,
    0xe2308000, 0x00c200cb, 0x00000000, 0x00000005,
    0xf2364000, 0x000000bb, 0xf2308000, 0x00d700c7,
    0xf2800031, 0x00d800c8, 0xf20018d1, 0x00000364,
    0x00000004, 0x00000004, 0x00000000, 0x00012224,
    0x00000368, 0x0000030c, 0x00000001, 0x00000000,
    0x00000005, 0x00000000, 0x00000023, 0xf2001394,
    0x92011394, 0xe2021394, 0xe2031394, 0xe2041394,
    0xf2001851, 0x00000370, 0x00000110, 0x00000000,
    0x00000000, 0x40001211, 0x75727473, 0x612e7463,
    0x675f7867, 0x656d6f65, 0x5f797274, 0x61726170,
    0x0000736d, 0x00000249, 0x6c656966, 0x00003064,
    0xffffffff, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000249,
    0x6c656966, 0x00003164, 0xffffffff, 0x00000000,
    0x00000008, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000249, 0x6c656966, 0x00003264,
    0xffffffff, 0x00000000, 0x00000010, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00200093,
    0x00000249, 0x6c656966, 0x00003364, 0xffffffff,
    0x00000000, 0x00000018, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00200093, 0x00000249,
    0x6c656966, 0x00003464, 0xffffffff, 0x00000000,
    0x00000038, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00200093, 0x00000249, 0x6c656966,
    0x00003564, 0xffffffff, 0x00000000, 0x00000058,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00003664, 0xffffffff,
    0x00000000, 0x00000078, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00003764, 0xffffffff, 0x00000000, 0x00000080,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00200093, 0x00000249, 0x6c656966, 0x00003864,
    0xffffffff, 0x00000000, 0x00000088, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00100093,
    0x00000240, 0x6c656966, 0x00003964, 0xffffffff,
    0x00000000, 0x000000a8, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00200093, 0x00000249,
    0x6c656966, 0x00303164, 0xffffffff, 0x00000000,
    0x000000b8, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00100093, 0x00000240, 0x6c656966,
    0x00313164, 0xffffffff, 0x00000000, 0x000000d8,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00323164, 0xffffffff,
    0x00000000, 0x000000e8, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00333164, 0xffffffff, 0x00000000, 0x000000f0,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00100073, 0x00000240, 0x6c656966, 0x00343164,
    0xffffffff, 0x00000000, 0x000000f8, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00353164, 0xffffffff, 0x00000000,
    0x00000104, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00363164,
    0xffffffff, 0x00000000, 0x00000108, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00373164, 0xffffffff, 0x00000000,
    0x0000010c, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0xf2000041, 0x00000384, 0x00000001,
    0xf2001851, 0x00000388, 0x00000008, 0x00000008,
    0x00000000, 0x00000249, 0xf2000eb4, 0x0000038c,
    0xf2000041, 0x00000384, 0x00000000, 0xf20018d1,
    0x00000394, 0x00000008, 0x00000008, 0x00000000,
    0xf2000eb4, 0x00000398, 0xf2001851, 0x0000039c,
    0x00000018, 0x00000000, 0x00000000, 0x40000511,
    0x75727473, 0x612e7463, 0x675f7867, 0x656d6f65,
    0x5f797274, 0x74617473, 0x00000065, 0x00000249,
    0x6c656966, 0x00003064, 0xffffffff, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00003164,
    0xffffffff, 0x00000000, 0x00000008, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00003264, 0xffffffff, 0x00000000,
    0x0000000c, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00003364,
    0xffffffff, 0x00000000, 0x00000010, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00003464, 0xffffffff, 0x00000000,
    0x00000014, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0xf2000041, 0x000003a0, 0x00000000,
    0xf2001851, 0x000003a4, 0x00000008, 0x00000008,
    0x00000000, 0x00000249, 0xf2000eb4, 0x000003a8,
    0xf2000041, 0x000003a0, 0x00000001, 0xf2001851,
    0x000003b0, 0x00000004, 0x00000008, 0x00000000,
    0x00000240, 0xe2000eb4, 0x000003b4, 0xf2364000,
    0x000000ee, 0xf2001851, 0x000003ac, 0x00000001,
    0x00000000, 0x00000000, 0x00000245, 0xf2800031,
    0x00ef00f0, 0xf2000041, 0x00000384, 0x00000006,
    0xf2001851, 0x000003c8, 0x00000008, 0x00000008,
    0x00000000, 0x00000249, 0x00012224, 0x000003cc,
    0x000003c4, 0xe2325000, 0x00e000de, 0x00003605,
    0xe2308000, 0x00f500f4, 0xffff9605, 0xe230b000,
    0x00f700f6, 0xe2000eb4, 0x000003b4, 0xe2308000,
    0x00f800f9, 0x00012224, 0x000003b4, 0x000003e8,
    0x92330000, 0x000000dd, 0x00000705, 0xdeadbeef,
    0x00000000, 0x00000001, 0x000003ec, 0x00000000,
    0x00000001, 0x00000000, 0x00000010, 0xf2001851,
    0x00000390, 0x00000004, 0x00000004, 0x00000000,
    0x00000240, 0x00012224, 0x000003f8, 0x00000378,
    0xf20018d1, 0x00000390, 0x00000004, 0x00000000,
    0x00000000, 0x00003705, 0xf2800031, 0x010000ff,
    0xf20018d1, 0x00000404, 0x00000004, 0x00000004,
    0x00000000, 0x00012224, 0x00000408, 0x000003d4,
    0x00005705, 0xf2800031, 0x010300ff, 0xf20018d1,
    0x00000410, 0x00000004, 0x00000004, 0x00000000,
    0x00000e05, 0x00012224, 0x00000414, 0x00000418,
    0x00007705, 0xf2800031, 0x010700ff, 0xf20018d1,
    0x00000420, 0x00000004, 0x00000004, 0x00000000,
    0x00012224, 0x00000424, 0x00000418, 0x00000001,
    0x00000000, 0x00000022, 0xe2308000, 0x00df00de,
    0xf2000eb4, 0x000003a8, 0xf2364000, 0x000000fa,
    0xf2001851, 0x00000430, 0x00000001, 0x00000000,
    0x00000000, 0x00000245, 0xf2800031, 0x010d010e,
    0xf2000041, 0x00000384, 0x00000007, 0xf2001851,
    0x00000440, 0x00000008, 0x00000008, 0x00000000,
    0x00000249, 0x00012224, 0x00000444, 0x0000043c,
    0x00005605, 0xe2337000, 0x0112010b, 0xe2000eb4,
    0x000003b4, 0xe2308000, 0x01130114, 0x00012224,
    0x000003b4, 0x00000454, 0xf2001851, 0x00000390,
    0x00000004, 0x00000004, 0x00000000, 0x00000240,
    0x00012224, 0x00000458, 0x0000042c, 0xf20018d1,
    0x00000390, 0x00000004, 0x00000000, 0x00000000,
    0x00003705, 0xf2800031, 0x01180117, 0xf20018d1,
    0x00000464, 0x00000004, 0x00000004, 0x00000000,
    0x00012224, 0x00000468, 0x000003d4, 0xe23a2000,
    0x011200fa, 0x00005705, 0xf2800031, 0x011c0117,
    0xf20018d1, 0x00000474, 0x00000004, 0x00000004,
    0x00000000, 0x00012224, 0x00000478, 0x0000046c,
    0x00007705, 0xf2800031, 0x011f0117, 0xf20018d1,
    0x00000480, 0x00000004, 0x00000004, 0x00000000,
    0x00000e05, 0x00012224, 0x00000484, 0x00000488,
    0x00009705, 0xf2800031, 0x01230117, 0xf20018d1,
    0x00000490, 0x00000004, 0x00000004, 0x00000000,
    0x00012224, 0x00000494, 0x00000488, 0x00000000,
    0x00000003, 0xe2000eb4, 0x000003b4, 0x08000e05,
    0x92379000, 0x01270128, 0x00000001, 0x000004a4,
    0x00000000, 0x00000001, 0x00000000, 0x00000003,
    0xf20018d1, 0x000003f0, 0x00000004, 0x00000004,
    0x00000000, 0x02469605, 0x00012224, 0x000004ac,
    0x000004b0, 0x00000001, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000001, 0x00000000,
    0x00000003, 0x00000000, 0x00000072, 0xf2001394,
    0xe2011394, 0xf2001851, 0x000004c0, 0x00000110,
    0x00000000, 0x00000000, 0x40001211, 0x75727473,
    0x612e7463, 0x675f7867, 0x656d6f65, 0x5f797274,
    0x61726170, 0x0000736d, 0x00000249, 0x6c656966,
    0x00003064, 0xffffffff, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00003164, 0xffffffff,
    0x00000000, 0x00000008, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00003264, 0xffffffff, 0x00000000, 0x00000010,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00200093, 0x00000249, 0x6c656966, 0x00003364,
    0xffffffff, 0x00000000, 0x00000018, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00200093,
    0x00000249, 0x6c656966, 0x00003464, 0xffffffff,
    0x00000000, 0x00000038, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00200093, 0x00000249,
    0x6c656966, 0x00003564, 0xffffffff, 0x00000000,
    0x00000058, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000249, 0x6c656966, 0x00003664,
    0xffffffff, 0x00000000, 0x00000078, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000249,
    0x6c656966, 0x00003764, 0xffffffff, 0x00000000,
    0x00000080, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00200093, 0x00000249, 0x6c656966,
    0x00003864, 0xffffffff, 0x00000000, 0x00000088,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00100093, 0x00000240, 0x6c656966, 0x00003964,
    0xffffffff, 0x00000000, 0x000000a8, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00200093,
    0x00000249, 0x6c656966, 0x00303164, 0xffffffff,
    0x00000000, 0x000000b8, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00100093, 0x00000240,
    0x6c656966, 0x00313164, 0xffffffff, 0x00000000,
    0x000000d8, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000249, 0x6c656966, 0x00323164,
    0xffffffff, 0x00000000, 0x000000e8, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000249,
    0x6c656966, 0x00333164, 0xffffffff, 0x00000000,
    0x000000f0, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00100073, 0x00000240, 0x6c656966,
    0x00343164, 0xffffffff, 0x00000000, 0x000000f8,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000240, 0x6c656966, 0x00353164, 0xffffffff,
    0x00000000, 0x00000104, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000240, 0x6c656966,
    0x00363164, 0xffffffff, 0x00000000, 0x00000108,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000240, 0x6c656966, 0x00373164, 0xffffffff,
    0x00000000, 0x0000010c, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0xf2000041, 0x000004c8,
    0x0000000d, 0xf2001851, 0x000004cc, 0x00000008,
    0x00000008, 0x00000000, 0x00000249, 0xf2000eb4,
    0x000004d0, 0xf2001851, 0x000004d4, 0x00000004,
    0x00000004, 0x00000000, 0x00000240, 0xe2000eb4,
    0x000004d8, 0xf20018d1, 0x000004d4, 0x00000004,
    0x00000000, 0x00000000, 0x00003705, 0xf2800031,
    0x01390138, 0xf20018d1, 0x000004e8, 0x00000004,
    0x00000004, 0x00000000, 0xe2000eb4, 0x000004ec,
    0x00000e05, 0x9230f000, 0x013d0131, 0x00003605,
    0x9230f000, 0x013f0131, 0xfffff605, 0xe2321000,
    0x01410137, 0xe2322000, 0x013f0142, 0xe2307000,
    0x00000137, 0xe23a2000, 0x013f0144, 0xe2325000,
    0x01450143, 0x00005605, 0x9230f000, 0x01470131,
    0x92315000, 0x01470137, 0xe2271000, 0x01370149,
    0x0000013d, 0x00007605, 0x9230f000, 0x014b0131,
    0xe2308000, 0x01410137, 0xe2271000, 0x014d0149,
    0x0000013d, 0x00009605, 0x9230f000, 0x014f0131,
    0xe230e000, 0x014b0137, 0x0000b605, 0x9230f000,
    0x01520131, 0x92315000, 0x014b0137, 0xffffd605,
    0xe2308000, 0x01550137, 0xe2271000, 0x01560154,
    0x0000013d, 0x0000d605, 0x9230f000, 0x01580131,
    0x00015605, 0x9230f000, 0x015a0131, 0xe23a2000,
    0x01470144, 0xe2325000, 0x015c0143, 0x00017605,
    0x9230f000, 0x015e0131, 0x92315000, 0x014f0137,
    0xffffb605, 0xe2308000, 0x01610137, 0xe2271000,
    0x01620160, 0x0000013d, 0x00019605, 0x9230f000,
    0x01640131, 0xe230e000, 0x01580137, 0x0001b605,
    0x9230f000, 0x01670131, 0x92315000, 0x01580137,
    0xffff5605, 0xe2308000, 0x016a0137, 0xe2321000,
    0x0141016b, 0xe2322000, 0x013f016c, 0xe2307000,
    0x0000016b, 0xe23a2000, 0x013f016e, 0xe2325000,
    0x016f016d, 0xe2308020, 0x0170013f, 0xe2271000,
    0x01710169, 0x0000013d, 0x0000f605, 0x9230f000,
    0x01730131, 0x00011605, 0x9230f000, 0x01750131,
    0xe2321000, 0x01410156, 0xe2322000, 0x013f0177,
    0xe2307000, 0x00000156, 0xe23a2000, 0x013f0179,
    0xe2325000, 0x017a0178, 0xe2271000, 0x017b0160,
    0x0000013d, 0xe2223000, 0x00000154, 0xe2e71000,
    0x017c0176, 0x0174017d, 0x017e015d, 0x01720168,
    0x0165017f, 0x01800166, 0xe2671000, 0x0163015f,
    0x015b0181, 0x0182015d, 0x92334000, 0x01590153,
    0xe2e71000, 0x01570184, 0x01500183, 0x01850151,
    0x014e014c, 0x01480186, 0x0187014a, 0xe2671000,
    0x01460140, 0x013e0188, 0x01890137, 0xe2325000,
    0x013c018a, 0xf2000041, 0x000004c8, 0x0000000f,
    0xf20018d1, 0x00000630, 0x00000004, 0x00000004,
    0x00000000, 0x00012224, 0x00000634, 0x0000062c,
    0xf2000041, 0x000004c8, 0x0000000e, 0x00000f05,
    0xf2c00011, 0x018f018e, 0xf20018d1, 0x00000640,
    0x00000004, 0x00000008, 0x00000000, 0x00012224,
    0x00000644, 0x00000628, 0xf2c00011, 0x0139018e,
    0xf20018d1, 0x00000648, 0x00000004, 0x00000004,
    0x00000000, 0x00012224, 0x0000064c, 0x000004f0,
    0x00005705, 0xf2c00011, 0x0194018e, 0xf20018d1,
    0x00000654, 0x00000004, 0x00000008, 0x00000000,
    0x00012224, 0x00000658, 0x000004fc, 0xf2000041,
    0x000004c8, 0x0000000c, 0xf2001851, 0x0000065c,
    0x00000008, 0x00000008, 0x00000000, 0x00000249,
    0xf2000eb4, 0x00000660, 0xe2390000, 0x00000199,
    0xe2391000, 0x00000199, 0xe2334000, 0x019b019a,
    0x9232b000, 0x013d019c, 0x00000001, 0x00000674,
    0x00000000, 0x00000001, 0x00000000, 0x0000000b,
    0xf2800031, 0x01940138, 0xf2001851, 0x0000067c,
    0x00000004, 0x00000004, 0x00000000, 0x00000240,
    0xe2000eb4, 0x00000680, 0xf2000041, 0x000004c8,
    0x00000011, 0xf20018d1, 0x00000688, 0x00000004,
    0x00000004, 0x00000000, 0xe2000eb4, 0x0000068c,
    0xe2325000, 0x01a401a1, 0xf2364000, 0x000001a5,
    0xf2001851, 0x00000664, 0x00000001, 0x00000000,
    0x00000000, 0x00000245, 0xf2800031, 0x01a601a7,
    0x00012224, 0x00000660, 0x000006a0, 0x00000001,
    0x00000000, 0x00000000, 0x00000000, 0x0000001a,
    0xf2000041, 0x000004c8, 0x00000000, 0xf2001851,
    0x000006ac, 0x00000008, 0x00000008, 0x00000000,
    0x00000249, 0xf2000eb4, 0x000006b0, 0xf2001851,
    0x000006b4, 0x00000018, 0x00000000, 0x00000000,
    0x40000511, 0x75727473, 0x612e7463, 0x675f7867,
    0x656d6f65, 0x5f797274, 0x74617473, 0x00000065,
    0x00000249, 0x6c656966, 0x00003064, 0xffffffff,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000240, 0x6c656966,
    0x00003164, 0xffffffff, 0x00000000, 0x00000008,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000240, 0x6c656966, 0x00003264, 0xffffffff,
    0x00000000, 0x0000000c, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000240, 0x6c656966,
    0x00003364, 0xffffffff, 0x00000000, 0x00000010,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000240, 0x6c656966, 0x00003464, 0xffffffff,
    0x00000000, 0x00000014, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0xf2000041, 0x000006b8,
    0x00000000, 0xf2001851, 0x000006bc, 0x00000008,
    0x00000008, 0x00000000, 0x00000249, 0xf2000eb4,
    0x000006c0, 0xf2000041, 0x000006b8, 0x00000001,
    0xf2001851, 0x000006c8, 0x00000004, 0x00000008,
    0x00000000, 0x00000240, 0xe2000eb4, 0x000006cc,
    0xf2364000, 0x000001b4, 0xf2001851, 0x000006c4,
    0x00000001, 0x00000000, 0x00000000, 0x00000245,
    0xf2800031, 0x01b501b6, 0xf2000041, 0x000004c8,
    0x00000002, 0xf2001851, 0x000006e0, 0x00000008,
    0x00000008, 0x00000000, 0x00000249, 0x00012224,
    0x000006e4, 0x000006dc, 0xf2000041, 0x000004c8,
    0x00000010, 0xf2001851, 0x000006e8, 0x00000004,
    0x00000008, 0x00000000, 0x00000240, 0xe2000eb4,
    0x000006ec, 0xe2325000, 0x01bc018b, 0xe2308000,
    0x013f01bd, 0xffff9605, 0xe230b000, 0x01bf01be,
    0xe2000eb4, 0x000006cc, 0xe2308000, 0x01c001c1,
    0x00012224, 0x000006cc, 0x00000708, 0x00000001,
    0x00000000, 0x00000005, 0x00000000, 0x0000000b,
    0xf2001394, 0xe2011394, 0xe2021394, 0xe4031394,
    0x00000e05, 0x00041605, 0x0003f605, 0xe230b000,
    0x01ca01c5, 0xe232f000, 0x000001cb, 0xe2308000,
    0x01cc01c5, 0xe233e000, 0x000001c7, 0x00000002,
    0x00000100, 0x00000003, 0x00000000, 0x00000003,
    0xe2000028, 0x000001ce, 0x000001c3, 0x000001e2,
    0x000001d5, 0xe2000028, 0x000001c8, 0x000001c3,
    0x000001e1, 0x000001d5, 0x92374000, 0x01cd01d0,
    0x00000001, 0x00000748, 0x00000000, 0x00000001,
    0x00000000, 0x00000001, 0x00000026, 0x00000001,
    0x00000000, 0x00000000, 0x00000000, 0x0000000e,
    0xe2325000, 0x01c601d0, 0xe2308400, 0x01c701d6,
    0xf2364000, 0x000001d7, 0xf20018d1, 0x00000710,
    0x00000004, 0x00000000, 0x00000000, 0xf2800031,
    0x01d801d9, 0xf20018d1, 0x00000768, 0x00000004,
    0x00000004, 0x00000000, 0xe2000eb4, 0x0000076c,
    0xe2008694, 0x00000770, 0x00000108, 0xe2708000,
    0x01dc01dd, 0x01de01d1, 0x00012224, 0x0000076c,
    0x0000077c, 0xe2001fe4, 0x00000778, 0x00000728,
    0xe2708000, 0x01e001d1, 0x01c901d0, 0x00000000,
    0x00000001, 0x92379000, 0x01cb01c7, 0x00000001,
    0x00000790, 0x00000000, 0x00000001, 0x00000000,
    0x0000000b, 0xe2325000, 0x01c601d0, 0xe2308400,
    0x01c701e6, 0xf2364000, 0x000001e7, 0xf20018d1,
    0x00000710, 0x00000004, 0x00000000, 0x00000000,
    0xf2800031, 0x01e801e9, 0xf20018d1, 0x000007a8,
    0x00000004, 0x00000004, 0x00000000, 0xe2000eb4,
    0x000007ac, 0xe2008694, 0x000007b0, 0x00000108,
    0xe2708000, 0x01ed01d1, 0x01ec01ee, 0x00012224,
    0x000007ac, 0x000007bc, 0x00000001, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000001,
    0x00000000, 0x00000003, 0x00000000, 0x0000003d,
    0x00000e05, 0xf2011394, 0xd2021394, 0xe2031394,
    0x92041394, 0x92051394, 0x92061394, 0x92071394,
    0x92081394, 0x00003605, 0xe2005084, 0x000007d0,
    0x00000400, 0xf2364000, 0x000001fd, 0x00009605,
    0xf23a2000, 0x01ff01fe, 0xe2390000, 0x00000200,
    0x00007605, 0xe230b000, 0x02020201, 0x00005605,
    0x00009705, 0xf2308000, 0x020501f4, 0xe2005084,
    0x00000818, 0x00000400, 0xf2364000, 0x00000207,
    0x00041605, 0xf2337000, 0x02090208, 0xf2334000,
    0x020a01fe, 0x00039605, 0xf23a2000, 0x020c020b,
    0xe2390000, 0x0000020d, 0x07fff605, 0xe230b000,
    0x020f020e, 0xe2308000, 0x01fc0210, 0x00015605,
    0xf23a2000, 0x02120208, 0xe2390000, 0x00000213,
    0xe230b000, 0x020f0214, 0x00031605, 0xf23a2000,
    0x02160208, 0xe2390000, 0x00000217, 0x0001f605,
    0xe230b000, 0x02190218, 0x0001d605, 0x00019705,
    0xf2308000, 0x021c01f4, 0xe2005084, 0x00000874,
    0x00000400, 0xf2364000, 0x0000021e, 0xf23a2000,
    0x021b021f, 0xe2390000, 0x00000220, 0xe230b000,
    0x020f0221, 0x00021705, 0xf2308000, 0x022301f4,
    0xe2005084, 0x00000890, 0x00000400, 0x00fff605,
    0xe230b000, 0x02260225, 0xf2364000, 0x00000225,
    0x00029705, 0xf2308000, 0x022901f4, 0xe2005084,
    0x000008a8, 0x00000400, 0xf2364000, 0x0000022b,
    0xf2337000, 0x0209022c, 0xf2334000, 0x022d0228,
    0x92330000, 0x000001f7, 0x00000001, 0x000008bc,
    0x00000000, 0x00000003, 0x00000000, 0x0000000a,
    0xe2363000, 0x000001f5, 0xe2308000, 0x021a0231,
    0x9230b000, 0x01f901fb, 0x9230f000, 0x01f30203,
    0x9230b000, 0x02340233, 0xe2271000, 0x02270235,
    0x00000222, 0xe2308000, 0x023601fc, 0x9230b000,
    0x01f801fb, 0xe2271000, 0x02360238, 0x00000215,
    0xe2308000, 0x023901fc, 0x00000002, 0x00000100,
    0x00000003, 0x00000000, 0x00000009, 0xe2000028,
    0x00000211, 0x00000230, 0x00000252, 0x00000247,
    0xe2000028, 0x0000023a, 0x00000230, 0x00000253,
    0x00000247, 0xe2000028, 0x00000237, 0x00000230,
    0x00000254, 0x00000247, 0xe2000028, 0x000001f3,
    0x00000230, 0x00000251, 0x00000247, 0xe63a8000,
    0x023d023c, 0x0000023e, 0xe2223000, 0x000001fb,
    0xe232f000, 0x00000241, 0xe2308000, 0x024201f6,
    0x92374000, 0x0243023f, 0x00000001, 0x00000910,
    0x00000000, 0x00000001, 0x00000000, 0x00000001,
    0x00000026, 0x00000001, 0x00000000, 0x00000000,
    0x00000000, 0x0000000d, 0x9271a000, 0x01fc023f,
    0x0204023f, 0xe2671000, 0x023d0249, 0x0248023e,
    0x024a023c, 0xe23a2000, 0x0232024b, 0xe237f000,
    0x01fc024c, 0x00000625, 0x00000000, 0x00000001,
    0x00000002, 0x9610f000, 0x000008fc, 0xa4000938,
    0xe6071000, 0xa400093c, 0x00000934, 0xa4000900,
    0xe2308000, 0x01fc023f, 0xe233e000, 0x00000250,
    0xe233e100, 0x00000250, 0xe233e200, 0x00000250,
    0x00000000, 0x00000001, 0xe2271000, 0x023c01fa,
    0x0000023d, 0x00000001, 0x00000000, 0x00000001,
    0xe2363000, 0x0000022e, 0x00000000, 0x00000007,
    0xe2000028, 0x0000023c, 0x00000255, 0x00000258,
    0x00000257, 0xe2000028, 0x00000256, 0x00000255,
    0x00000258, 0x00000257, 0xe2000028, 0x0000023e,
    0x00000255, 0x00000258, 0x00000257, 0xf2001394,
    0xf2001251, 0x00000974, 0x00000010, 0x00000000,
    0x00000000, 0x50000300, 0xe83a9000, 0x025b025a,
    0x025c025c, 0x00072224, 0x00000978, 0x0000097c,
    0x00000001, 0x00000000, 0x00000001, 0x00000000,
    0x00000053, 0xf2011394, 0xe8021394, 0xe2031394,
    0xe2041394, 0x92061394, 0x92071394, 0x00003605,
    0xe2005084, 0x00000984, 0x00000400, 0xf2364000,
    0x00000268, 0x00009705, 0xf2308000, 0x026a0261,
    0xe2005084, 0x000009ac, 0x00000400, 0xf2364000,
    0x0000026c, 0x00041605, 0xf2337000, 0x026e026d,
    0xf2334000, 0x026f0269, 0xe2390000, 0x00000270,
    0xe2391000, 0x00000270, 0xe230b000, 0x02670272,
    0xf2344000, 0x02730271, 0x0000f605, 0xf2337000,
    0x02750274, 0xf23a2000, 0x0267026d, 0xe2390000,
    0x00000277, 0xe230b000, 0x02750278, 0xe2337000,
    0x02790267, 0x00009605, 0xf23a2000, 0x027b026d,
    0xe2390000, 0x0000027c, 0xe230b000, 0x0275027d,
    0xe2337000, 0x027e0267, 0xf23a2000, 0x0275026d,
    0xe2390000, 0x00000280, 0x0ffff605, 0xe230b000,
    0x02820281, 0x0002d605, 0xf23a2000, 0x0284026d,
    0xe2390000, 0x00000285, 0x00007605, 0xe230b000,
    0x02870286, 0xe2337000, 0x02880267, 0x00011705,
    0xf2308000, 0x028a0261, 0xe2005084, 0x00000a2c,
    0x00000400, 0xfffff605, 0xd4362000, 0x00000262,
    0xd2762000, 0x027f027a, 0xe2363000, 0x0000028f,
    0xe2308000, 0x028d027a, 0xd2362000, 0x00000292,
    0xe2363000, 0x00000290, 0xe2308000, 0x028d027f,
    0xd2362000, 0x00000295, 0xd43a7000, 0x02960293,
    0xe273f000, 0x028e0297, 0xe230b000, 0x02980299,
    0xd438b000, 0x0000029a, 0xe2333400, 0x029b029b,
    0xe2330000, 0x00000298, 0xe230b000, 0x029d0299,
    0xd438b000, 0x0000029e, 0xe2363100, 0x0000029f,
    0xe2725000, 0x028302a0, 0x029102a1, 0xe2363000,
    0x0000029f, 0xe2325020, 0x029402a3, 0xe2708000,
    0x02a402a2, 0x029c02a5, 0xe2325200, 0x028c0262,
    0xe2308000, 0x02a702a6, 0xe2271000, 0x02a80265,
    0x000002a6, 0xe2325000, 0x028902a9, 0xe2308000,
    0x026302aa, 0xe2325000, 0x026402ab, 0xf2364000,
    0x000002ac, 0xf2308000, 0x02ad0276, 0xf2364000,
    0x000002ab, 0xf2271000, 0x02af0266, 0x000002ae,
    0xf2001394, 0xf2001251, 0x00000ac4, 0x00000008,
    0x00000000, 0x00000000, 0x00000249, 0x00012224,
    0x00000ac8, 0x00000ac0, 0x00000001, 0x00000000,
    0x00000001, 0x00000000, 0x00000017, 0xf2011394,
    0xe8021394, 0xe2031394, 0xe2005084, 0x00000ad0,
    0x00000400, 0xf2364000, 0x000002b7, 0x00009705,
    0xf2308000, 0x02b902b4, 0xe2005084, 0x00000ae8,
    0x00000400, 0xf2364000, 0x000002bb, 0x00041605,
    0xf2337000, 0x02bd02bc, 0xf2334000, 0x02be02b8,
    0xe2390000, 0x000002bf, 0xe2391000, 0x000002bf,
    0x001ff605, 0xe230b000, 0x02c202c1, 0xf2344000,
    0x02c302c0, 0xe2325000, 0x02b602b5, 0xf2364000,
    0x000002c5, 0xf2308000, 0x02c602c4, 0xf2001394,
    0xf20012d1, 0x00000b20, 0x00000008, 0x00000000,
    0x00000000, 0x00012224, 0x00000b24, 0x00000b1c,
    0x00000001, 0x00000000, 0x00000001, 0x00000000,
    0x0000000d, 0xf2011394, 0xe2005084, 0x00000b2c,
    0x00000400, 0xf2364000, 0x000002cc, 0x0000d605,
    0xf23a2000, 0x02ce02cd, 0xe2390000, 0x000002cf,
    0x000ff605, 0xe230b000, 0x02d102d0, 0x0006d605,
    0x9230f000, 0x02d302d2, 0xf2001394, 0xf2001251,
    0x00000b54, 0x00000004, 0x00000000, 0x00000000,
    0x0000024b, 0x00012224, 0x00000b58, 0x00000b50,
    0x00000001, 0x00000000, 0x00000001, 0x00000000,
    0x00000024, 0xf2011394, 0xe2021394, 0x92031394,
    0x00003605, 0x00019605, 0x00005605, 0x00011705,
    0xf2308000, 0x02de02d8, 0xe2005084, 0x00000b7c,
    0x00000400, 0xf2364000, 0x000002e0, 0x00019705,
    0xf2308000, 0x02e202d8, 0xe2005084, 0x00000b8c,
    0x00000400, 0xf2364000, 0x000002e4, 0x00041605,
    0xf2337000, 0x02e602e5, 0xf2334000, 0x02e702e1,
    0x00009605, 0xf23a2000, 0x02dd02e8, 0xe2390000,
    0x000002ea, 0xe2391000, 0x000002ea, 0x0001f605,
    0xe230b000, 0x02ed02ec, 0xf2344000, 0x02ee02eb,
    0xf2337000, 0x02e902ef, 0xe2325000, 0x02d902dc,
    0xf2364000, 0x000002f1, 0xf2308000, 0x02f202f0,
    0xf2001851, 0x00000bcc, 0x00000010, 0x00000010,
    0x00000000, 0x50000300, 0xe8000eb4, 0x00000bd0,
    0x3f800e05, 0xe2271000, 0x02f602da, 0x000002db,
    0xe81a9000, 0xe4000bd4, 0xe5000bd4, 0xe6000bd4,
    0x00000bdc, 0xf2001394, 0xf20012d1, 0x00000be4,
    0x00000010, 0x00000000, 0x00000000, 0x000f2224,
    0x00000be8, 0x00000be0, 0x00000000, 0x00000000,
    0x00000000,
};
